Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.builder
Class DataSourceBuilder.ByteArrayDataSourceEx

    java.lang.Object
      javax.mail.util.ByteArrayDataSource
          org.apache.axis2.builder.DataSourceBuilder.ByteArrayDataSourceEx

All Implemented Interfaces:
  javax.activation.DataSource, org.apache.axiom.om.OMDataSource

Enclosing class:
  DataSourceBuilder

    public class DataSourceBuilder.ByteArrayDataSourceEx

extends javax.mail.util.ByteArrayDataSource
implements org.apache.axiom.om.OMDataSource

Constructor Summary
`DataSourceBuilder.ByteArrayDataSourceEx(byte[] bytes, java.lang.String s)`

Method Summary
`java.lang.String` | `getContentType()`
`javax.xml.stream.XMLStreamReader` | `getReader()`
`void` | `serialize(java.io.OutputStream output, org.apache.axiom.om.OMOutputFormat format)`
`void` | `serialize(java.io.Writer writer, org.apache.axiom.om.OMOutputFormat format)`
`void` | `serialize(javax.xml.stream.XMLStreamWriter xmlWriter)`

Methods inherited from class javax.mail.util.ByteArrayDataSource
`getInputStream, getName, getOutputStream, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataSourceBuilder.ByteArrayDataSourceEx

    public DataSourceBuilder.ByteArrayDataSourceEx(byte[] bytes,
                                                   java.lang.String s)

Method Detail

### serialize

    public void serialize(java.io.OutputStream output,
                          org.apache.axiom.om.OMOutputFormat format)
                   throws javax.xml.stream.XMLStreamException

  Specified by:
    `serialize` in interface `org.apache.axiom.om.OMDataSource`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `javax.activation.DataSource`
  Overrides:
    `getContentType` in class `javax.mail.util.ByteArrayDataSource`

### serialize

    public void serialize(java.io.Writer writer,
                          org.apache.axiom.om.OMOutputFormat format)
                   throws javax.xml.stream.XMLStreamException

  Specified by:
    `serialize` in interface `org.apache.axiom.om.OMDataSource`
  Throws:
    `javax.xml.stream.XMLStreamException`

### serialize

    public void serialize(javax.xml.stream.XMLStreamWriter xmlWriter)
                   throws javax.xml.stream.XMLStreamException

  Specified by:
    `serialize` in interface `org.apache.axiom.om.OMDataSource`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getReader

    public javax.xml.stream.XMLStreamReader getReader()
                                               throws javax.xml.stream.XMLStreamException

  Specified by:
    `getReader` in interface `org.apache.axiom.om.OMDataSource`
  Throws:
    `javax.xml.stream.XMLStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.